Bug 213219 - [NEW PORT] x11-drivers/xorgxrdp: X.Org driver enabling use through an RDP session with xrdp
Summary: [NEW PORT] x11-drivers/xorgxrdp: X.Org driver enabling use through an RDP ses...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch
Depends on:
Blocks: 216420
  Show dependency treegraph
 
Reported: 2016-10-05 02:51 UTC by Koichiro Iwao
Modified: 2017-03-28 19:17 UTC (History)
2 users (show)

See Also:


Attachments
xorgxrdp.shar (3.69 KB, text/plain)
2016-10-05 02:51 UTC, Koichiro Iwao
no flags Details
xorgxrdp-0.2.0.shar (2.87 KB, text/plain)
2016-12-13 05:20 UTC, Koichiro Iwao
no flags Details
xorgxrdp-0.2.0.shar (2.86 KB, text/plain)
2017-03-28 07:34 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2016-10-05 02:51:10 UTC
Created attachment 175439 [details]
xorgxrdp.shar

xorgxrdp is a set of drivers enables the Xorg install from your distribution
to use RDP session with xrdp.

WWW: http://www.xrdp.org/
Comment 1 Koichiro Iwao freebsd_committer 2016-10-05 02:58:12 UTC
This port is needed to update net/xrdp-devel from 0.7.0.x to 0.9.0.x.
I'll submit the patch to update xrdp-devel as another bug soon.

Tested by `make clean stage stage-qa`.
Comment 2 Koichiro Iwao freebsd_committer 2016-12-12 08:43:39 UTC
I'm making a released version of this port. Please wait until I submit a new patch.
Comment 3 Koichiro Iwao freebsd_committer 2016-12-13 05:20:21 UTC
Created attachment 177924 [details]
xorgxrdp-0.2.0.shar

Update to 0.2.0.

GitHub repo here: https://github.com/neutrinolabs/xorgxrdp
Comment 4 Kurt Jaeger freebsd_committer 2017-02-07 06:23:23 UTC
testbuilds@work
Comment 5 Kurt Jaeger freebsd_committer 2017-03-03 11:14:04 UTC
Fails to configure/build:

 http://people.freebsd.org/~pi/logs/x11-drivers__xorgxrdp-cur-1488536518.txt
Comment 6 Koichiro Iwao freebsd_committer 2017-03-03 14:43:33 UTC
poudriere build succeeds for me.  I'll test it again.

x11-servers/xorg-server is listed in BUILD_DEPENDS, it shouldn't fail though...
Comment 7 Koichiro Iwao freebsd_committer 2017-03-28 07:34:41 UTC
Created attachment 181261 [details]
xorgxrdp-0.2.0.shar

I've fixed dependency list in USE_XORG. Now it should build with poudriere.

Please don't forget resurrecting RUN_DEPENDS removed by r435342 after committing this.
Comment 8 Kurt Jaeger freebsd_committer 2017-03-28 08:08:41 UTC
Thanks! Testbuilds@work
Comment 9 commit-hook freebsd_committer 2017-03-28 19:15:24 UTC
A commit references this bug:

Author: pi
Date: Tue Mar 28 19:14:54 UTC 2017
New revision: 437150
URL: https://svnweb.freebsd.org/changeset/ports/437150

Log:
  New port: x11-drivers/xorgxrdp

  xorgxrdp is a set of drivers that enables Xorg to use RDP session with xrdp.

  WWW: http://www.xrdp.org/

  PR:		213219
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp>

Changes:
  head/x11-drivers/Makefile
  head/x11-drivers/xorgxrdp/
  head/x11-drivers/xorgxrdp/Makefile
  head/x11-drivers/xorgxrdp/distinfo
  head/x11-drivers/xorgxrdp/pkg-descr
  head/x11-drivers/xorgxrdp/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2017-03-28 19:17:04 UTC
Committed, thanks! (Had to fix a broken DSL router first, grrr, because the svn repo is behind that line...)